ClamAV < 0.94 Multiple Vulnerabilities

high Nessus Plugin ID 35087

Synopsis

The remote antivirus service is affected by multiple issues.

Description

According to its version, the clamd antivirus daemon on the remote host is earlier than 0.94. Such versions are affected by one or more of the following issues :

- A segmentation fault can occur when processing corrupted LZH files. (Bug #1052)

- Invalid memory access errors in 'libclamav/chmunpack.c' when processing malformed CHM files may lead to a crash. (Bug #1089)

- An out-of-memory null dereference issue exists in 'libclamav/message.c' / 'libclamav/mbox.c'. (Bug #1141)

- Possible error path memory leaks exist in 'freshclam/manager.c'. (Bug #1141)

- There is an invalid close on error path in 'shared/tar.c'. (Bug #1141)

- There are multiple file descriptor leaks involving the 'error path' in 'libclamav/others.c' and 'libclamav/sis.c'. (Bug #1141)

Solution

Upgrade to ClamAV 0.94 or later.

See Also

https://seclists.org/bugtraq/2008/Sep/56

https://seclists.org/bugtraq/2008/Dec/110

https://www.openwall.com/lists/oss-security/2008/09/03/2

https://www.openwall.com/lists/oss-security/2008/09/04/13

https://bugzilla.clamav.net/show_bug.cgi?id=1052

https://bugzilla.clamav.net/show_bug.cgi?id=1089

http://www.nessus.org/u?91209430

http://www.nessus.org/u?b818ae81

Plugin Details

Severity: High

ID: 35087

File Name: clamav_0_94.nasl

Version: 1.19

Type: remote

Published: 12/11/2008

Updated: 11/15/2018

Configuration: Enable paranoid mode

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:clamav:clamav

Required KB Items: Settings/ParanoidReport

Exploit Ease: No known exploits are available

Reference Information

CVE: CVE-2008-1389, CVE-2008-3912, CVE-2008-3913, CVE-2008-3914, CVE-2008-6845

BID: 30994, 31051, 32752

CWE: 200, 399